Search Unity

  1. Unity 2019.1 is now released.
    Dismiss Notice

ProBuilder and 2019.1 alpha 7

Discussion in '2019.1 Beta' started by thinline, Nov 6, 2018.

  1. thinline

    thinline

    Joined:
    Nov 6, 2018
    Posts:
    1
    Can someone confirm that ProBuilder 3.0.9 is _not_ compatible with 2019.1 alpha 7? I'm not sure if I'm doing something wrong, but it doesn't seem to work for me. Getting the following error:

    Code (text):
    1. TypeLoadException: Could not resolve type with token 01000057 (from typeref, class/assembly UnityEngine.Experimental.Rendering.RenderPipelineAsset, UnityEngine, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null)
    2. ProBuilder.EditorCore.pb_PreferencesInternal.GetMaterial (System.String key) (at C:/Users/karlh/procore/probuilder/probuilder2.0/Assets/ProCore/ProBuilder/Editor/EditorCore/pb_PreferencesInternal.cs:300)
     
  2. kaarrrllll

    kaarrrllll

    Unity Technologies

    Joined:
    Aug 24, 2017
    Posts:
    135
    Yes, 3.0.9 is not compatible with the 2019.1 alpha. We will have a preview out soon that provides 2019.1 support.
     
  3. rizu

    rizu

    Joined:
    Oct 8, 2013
    Posts:
    963
    at least Probuilder 4.0.0-preview.29 works without errors on 2019.1.0a8, but you need to use staging registry for it atm on your Packages/manifest.json:

    Code (csharp):
    1.  
    2. {
    3.   "registry": "https://staging-packages.unity.com",
    4.   "dependencies": {
    5.     "com.unity.probuilder": "4.0.0-preview.29",
    6.      ...
    7.   }
    8. }
     
  4. tarahugger

    tarahugger

    Joined:
    Jul 18, 2014
    Posts:
    73
    For anyone wondering which versions are on staging, you can check here: https://bintray.com/unity/unity-staging/com.unity.probuilder

    Also note that there seems to be some heavy refactoring in 4.0, namespace and object name changes so if you're programming against the existing API in any way then you're in for a bad time.
     
  5. elettrozero

    elettrozero

    Joined:
    Jun 19, 2016
    Posts:
    216
    I want Pro Builder 4.0 in Unity 2018.3. I also asked Santa but still nothing. :(
     
    gabrielw_unity likes this.
  6. alexanderameye

    alexanderameye

    Joined:
    Nov 27, 2013
    Posts:
    902
    gabrielw_unity likes this.
  7. elettrozero

    elettrozero

    Joined:
    Jun 19, 2016
    Posts:
    216
    alexanderameye likes this.